Subject: bug#29177: Hidden packages are not accounted for by `guix refresh`

From: Marius Bakke <[email-masked]>
Date: Mon, 06 Nov 2017 21:47:21 +0100

Currently, some packages are marked as "hidden".  This makes `guix
refresh` fail to realize the full impact of a change.  Most notably this
affects 'xorg-server': there have already been a few commits that
rebuilds the for-test variant (and thus GTK) because they seemed to only
cause ~150 rebuilds, where in reality it's more than 400:

97ecd75e289d96a8b4f9b1ae877d9d1a2f6774b4 gnu: libxfont: Fix CVE-2017-13720, CVE-2017-13722.
c2eb8cd98c82277e851eb4302b7f12614e215a76 gnu: xorg-server: Build reproducibly.
9371600ec8397ab3d596dea89c388b4acb1c2437 gnu: libxres: Update to 1.2.0.